package cn.sh.stc.sict.theme.hphy.controller.web;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.common.crypto.EncryptionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author gao
 * @date 2023/05/30 14:30
 */
@Api(value = "[黄浦]安全密钥", tags = "[黄浦]安全密钥")
@RestController
@RequestMapping("hpSecurity")
@AllArgsConstructor
@Slf4j
public class HpSecurityController {

    @ApiOperation("获取公钥")
    @GetMapping("/public-key")
    public R<String> getPublicKey() {
        log.info("获取公钥");
        return new R<>(EncryptionUtil.PUBLIC_KEY);
    }

}
